///////////////////////////////////////////////////////////////////////////////////////////
// MAT 259 Assignment 4: Bird Migration Patterns Visualization
// Mouse Movement Code 
// by Nataly Moreno
//
// Links to download libraries:
//     Unfolded:  http://unfoldingmaps.org
//     ControlP5: http://www.sojamo.de/libraries/controlP5/#installation
//
///////////////////////////////////////////////////////////////////////////////////////////

Marker currentMarker;

void mouseMoved() {
  // Deselect all marker
  for (Marker marker : map.getMarkers()) {
    marker.setSelected(false);
  }

  // Select hit marker
  // Note: Use getHitMarkers(x, y) if you want to allow multiple selection.
  //Marker marker = map.getFirstHitMarker(mouseX, mouseY);
  currentMarker = map.getFirstHitMarker(mouseX, mouseY);

  if (currentMarker != null) 
  {
    currentMarker.setSelected(true);
  }
  
}
